%% File: invss.red
%% Date: May 10, 1990
%% Type: Solvable - basis of subalgebra type
%% Status: ***

%% This program computes the inverse on R^m

%% Requirements:
%% mgv - the dimension
%% pga(mgv) - the entries of (x_1,...,x_m)(y_1,...,y_m)

%% Results:
%% iga(mgv) - the entries of the inverse (x_1,...,x_m)^&-1&

%% Global variables:
%% mgv

%% Global arrays:
%% pga(mgv),iga(mgv)

%% Local variables:
%% jlv,clv,ulv

   Array iga(mgv);
   For jlv:=mgv step -1 until 1 do
   Begin
      Write "Nu beregnes I(",jlv,")";
      showtime;
      clv:=pga(jlv)-y(jlv);
      For ulv:=1:mgv do clv:=sub(y(ulv)=iga(ulv),clv);
      iga(jlv):=-clv;
   End;

;end;








