%% File: multmixss.red
%% Date: October 15, 1992
%% Type: Solvable - basis of subalgebra type
%% Status: not running 

%% This program computes the multiplication on R^m in mixed coordinates

%% Requirements:
%% mgv - the dimension
%% pga(mgv) - the multiplication in canonical coordinates of the
%%             second kind
%% expga(mgv) - the exponential in such coordinates

%% Results:
%% pmixga(mgv) - the multiplication in mixed coordinates

%% Global variables:
%% mgv

%% Local variables:
%% jlv,klv,clc,ulv

%% Local arrays:
%% pla(mgv,mgv)

%% Local operators:
%% ylo(.)


   For jlv:=1:mgv do expgaold(jlv):=expga(jlv);
   For jlv:=pgv+1:mgv do u(jlv):=0;
   in "CODE/GROUP/expss.red";

   For ilv:=pgv step -1 until 1 do
   Begin
      clv:=pga(ilv);
      For jlv:=1:pgv do
      Begin 
         blv:=expga(jlv);
         clv:=sub(x(jlv)=blv,clv);
      End;
      For jlv:=1:pgv do
      Begin
         blv:=expga(jlv);
         For klv:=1:pgv do
          blv:=sub(u(klv)=v(klv),blv);
         clv:=sub(y(jlv)=blv,clv);
      End;
      alv:=expga(ilv)-u(ilv);
      For jlv:=1:pgv do
       alv:=sub(u(jlv)=ulo(jlv),alv);
      For jlv:=pgv step -1 until 1 do
       alv:=sub(ulo(jlv)=pmixga(jlv),alv);
      pmixga(ilv):=clv-alv;
   End;

   For jlv:=pgv+1:mgv do clear u(jlv);
   For ilv:=1:mgv do 
   Begin
      clv:=pmixga(ilv);
      For klv:=pgv+1:mgv do 
       clv:=sub(x(klv)=u(klv),y(klv)=v(klv),clv);
   pmixga(ilv):=clv;
   End;
   For ilv:=pgv+1:mgv do pmixga(ilv):=u(ilv)+v(ilv);

   For jlv:=1:mgv do expga(jlv):=expgaold(jlv);

;end;








