m:=3;

%phi:=a(0,0)+a(1,0)*x(1)+a(0,1)*x(2)+a(2,0)*x(1)**2
%+a(1,1)*x(1)*x(2)+a(0,2)*x(2)**2;
%psi:=b(0,0)+b(1,0)*x(1)+b(0,1)*x(2)+b(2,0)*x(1)**2
%+b(1,1)*x(1)*x(2)+b(0,2)*x(2)**2;

PP:=for ilv:=0:3 sum for jlv:=0:3 sum for klv:=0:3 
sum a(ilv,jlv,klv)*x(1)**ilv*x(2)**jlv*x(3)**klv;

QQ:=for ilv:=0:3 sum for jlv:=0:3 sum for klv:=0:3 
sum b(ilv,jlv,klv)*x(1)**ilv*x(2)**jlv*x(3)**klv;

Procedure Next;
Begin
Scalar p;
p:=1;
While l(p)=high(p) and p leq m-1 do p:=p+1;
If p<m or l(m)<high(m) then 
<< l(p):=l(p)+1;
   for j:=1:p-1 do l(j):=0;
   Return 1;
>>
else return 0;
End;

Procedure Fac(n);
Begin 
Scalar c,j;
c:=1;
For j:=1:n do c:=j*c;
If n=0 then Return 1 else Return c;
End;

Procedure Scalarprod(p,q);
Begin
Scalar Top,j,plv,qlv,p0lv,q0lv,const,scalprod;
scalprod:=0;
Top:=1;
For j:=1:m do l(j):=0;
For j:=1:m do high(j):=max(deg(p,x(j)),deg(q,x(j)));
While Top=1 do
<<
   plv:=p;
   qlv:=q;
   for j:=1:m do plv:=df(plv,x(j),l(j));
   for j:=1:m do qlv:=df(qlv,x(j),l(j));
   p0lv:=plv;
   q0lv:=qlv;
   for j:=1:m do p0lv:=sub(x(j)=0,p0lv);
   for j:=1:m do q0lv:=sub(x(j)=0,q0lv);
   const:=for j:=1:m product Fac(l(j));
   scalprod:=scalprod+p0lv*q0lv/const;
   Top:=Next();
>>;
Return scalprod;
Write "Skalarprodukt=",scalprod;
End;

;end;
