%% File: logni red
%% Date: May 10, 1990
%% Type: Nilpotent - basis of ideal type
%% Status: ***

%% This program computes the logarithm

%% Requirements:
%% mgv - the dimension
%% expga(mgv) - the entries of exp(u_1X_1+...x_mX_m)

%% Results:
%% logga(mgv) - the entries of the inverse log(x_1,...,x_m)

%% Global variables:
%% mgv

%% Global arrays:
%% expga(mgv),logga(mgv)

%% Local variables:
%% jlv,clv,ulv

   Array logga(mgv);
   For jlv:=mgv step -1 until 1 do
   Begin
      Write "Nu beregnes exp(",jlv,")";
      clv:=expga(jlv)-u(jlv);
      For ulv:=1:mgv do clv:=sub(u(ulv)=logga(ulv),clv);
      logga(jlv):=x(jlv)-clv;
      Showtime;
   End;

;end;




